package vip.xiaonuo.coldchain.modular.app.param.export;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentFontStyle;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.alibaba.excel.enums.poi.VerticalAlignmentEnum;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@EqualsAndHashCode
@ColumnWidth(25)
@ContentRowHeight(18)
@ContentStyle(verticalAlignment = VerticalAlignmentEnum.CENTER)
@ContentFontStyle(fontName = "宋体", fontHeightInPoints = 12)
public class ExportParam {
    @ExcelProperty("名称")
    private String regionName;

    @ExcelProperty("传感器编码")
    private String deviceCode;

    @ExcelProperty("传感器路数")
    private Integer sensorRoad;

    @ExcelProperty("时间")
    private String time;

    @ExcelProperty("数据种类")
    private String dataType;

    @ExcelProperty("测量值")
    private Float data;
}
