package vip.xiaonuo.coldchain.modular.monitorsearchhistory.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class TopWarningDto {

    @Schema(description = "预警总数")
    private long totalWarnings;

    @Schema(description = "设备ID，指示告警是由哪个设备触发的")
    private String deviceId;

    @Schema(description = "设备名称，给出触发告警的设备的名称（可选）")
    private String deviceName;

    @Schema(description = "设备序列号")
    private String sensorCode;

    @Schema(description = "传感器路数")
    private Integer sensorRoute;
}
