package vip.xiaonuo.coldchain.core.alarm.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import vip.xiaonuo.coldchain.core.alarm.bean.SensorAlarm;
import vip.xiaonuo.coldchain.modular.monitorsearchhistory.dto.TopWarningDto;

import java.util.List;

/**
 * @author jackzhou
 * @version 1.0
 * @project jfcloud-coldchain
 * @description SensorAlarm Mapper接口
 * @date 2024/11/26
 */
public interface SensorAlarmMapper extends BaseMapper<SensorAlarm> {

    /**
     * 获取报警次数最多的十条记录
     */
    List<TopWarningDto> getTop10Warning(@Param("orgId") String orgId, @Param("month") String month, @Param("types") List<String> types);
}
