package vip.xiaonuo.coldchain.modular.airnow.entity;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class airnow {
    /** mac地址 */
    @Schema(description = "mac地址")
    private String mac;

    /** 设备名称 */
    @Schema(description = "设备名称")
    private String devName;

    /** 显示使能标示 */
    @Schema(description = "显示使能标示")
    private String dispEn;

    /** 设备型号 */
    @Schema(description = "设备型号")
    private String devType;

    /** 设备固件版本 */
    @Schema(description = "设备固件版本")
    private String ver;

    /** 硬件版本 */
    @Schema(description = "硬件版本")
    private String hwVer;

    /** 重启原因代码 */
    @Schema(description = "重启原因代码")
    private String resetReason;

    /** 电池电量状态 */
    @Schema(description = "电池电量状态")
    private String battery;

    /** 接收信号强度指示 */
    @Schema(description = "接收信号强度指示")
    private String rssi;

    /** 历史记录条数 */
    @Schema(description = "历史记录条数")
    private Integer historyCount;
}
